xquery version "1.0" encoding "iso-8859-2";

import schema namespace bib="http://www.school.edu.pl/bib";

declare function local:st($elem as element(*,bib:TypPunktu)) as element()
{
   <pozycja>
      {
	 $elem/@bib:id, $elem/bib:tytu,
	 for $p in $elem/element(*, bib:TypPunktu)
	 return local:st($p)
      }
   </pozycja>
};

<spis-treci>
   {
      for $r in doc("ksiazka-schema.xml")/bib:ksika/bib:rozdzia
      return local:st($r)
   }
</spis-treci>
